| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
Protocols
Protocols.HTTP
Protocols.HTTP.Session
Protocols.HTTP.Session()->Request

# Method Protocols.HTTP.Session()->Request()->do_sync()

Method do_sync

  `Request do_sync(array(string|int|mapping) args)`

Description

  Perform a request synchronously. Get arguments from prepare_method .

Returns

  0 upon failure, this object upon success

See also

  prepare_method , do_async , do_thread